The gloss package

[Tags: library, mit]

Gloss hides the pain of drawing simple vector graphics behind a nice data type and a few display functions. Gloss uses OpenGL under the hood, but you won't need to worry about any of that. Get something cool on the screen in under 10 minutes.

Properties

Versions1.0.0.0, 1.0.0.1, 1.0.0.2, 1.1.0.0, 1.1.1.0, 1.2.0.0, 1.2.0.1, 1.3.0.1, 1.3.1.2, 1.3.3.1, 1.3.4.1, 1.4.0.1, 1.5.0.1, 1.5.0.2, 1.5.2.1, 1.6.0.1, 1.6.1.1, 1.6.2.1, 1.7.0.1, 1.7.1.1, 1.7.2.1, 1.7.3.1, 1.7.4.1, 1.7.5.1, 1.7.5.2, 1.7.6.1, 1.7.6.2, 1.7.6.3, 1.7.6.4, 1.7.6.5, 1.7.6.6, 1.7.7.1, 1.7.7.201204.1, 1.7.8.1, 1.7.8.2, 1.7.8.3, 1.7.8.4, 1.8.0.1, 1.8.1.1, 1.8.1.2, 1.8.2.1, 1.8.2.2, 1.9.1.1, 1.9.2.1, 1.9.3.1, 1.9.4.1
Change logNone available
Dependenciesbase (==4.*), bmp (==1.1.*), bytestring (==0.9.*), containers (>=0.3.0 && <0.5.0), ghc-prim (==0.2.*), GLFW-b (==0.0.2.*), GLUT (==2.2.*), OpenGL (==2.4.*), vector (>=0.8 && <1.0) [details]
LicenseMIT
AuthorBen Lippmeier
Maintainerbenl@ouroborus.net
Stabilityprovisional
CategoryGraphics
Home pagehttp://gloss.ouroborus.net
Bug trackergloss@ouroborus.net
UploadedWed Oct 26 09:12:53 UTC 2011 by BenLippmeier
DistributionsDebian:1.9.3.1, NixOS:1.9.4.1
Downloads15410 total (524 in last 30 days)
Votes
1 []
StatusDocs uploaded by user
Build status unknown [no reports yet]

Modules

[Index]

Flags

NameDescriptionDefaultType
glutEnable the GLUT backendEnabledAutomatic
glfwEnable the GLFW backendDisabledAutomatic
explicitbackendExpose versions of displayInWindow and friends that allow you to choose what window manager backend to use.DisabledAutomatic

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees